### Method

# Gimp Drawable get_thumbnail

#### Declaration [src]

    GdkPixbuf*
    gimp_drawable_get_thumbnail (
      GimpDrawable* drawable,
      gint width,
      gint height,
      GimpPixbufTransparency alpha
    )

#### Description [src]

Retrieves a thumbnail pixbuf for the drawable identified by `drawable`. The thumbnail will be not larger than the requested size.

Available since: | 2.2

#### Parameters

`width` | `gint`
| The requested thumbnail width (<= 1024 pixels)
`height` | `gint`
| The requested thumbnail height (<= 1024 pixels)
`alpha` | `GimpPixbufTransparency`
| How to handle an alpha channel.

#### Return value

Returns: | `GdkPixbuf`
| A new `GdkPixbuf`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.